var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
import { execSync } from "child_process";
// Main function to ask questions and generate the command
export const setupVue = (dir, name, frontendTech) => __awaiter(void 0, void 0, void 0, function* () {
    process.stdout.write(`Setup ${frontendTech}\n`);
    // Build the base command for Vue setup
    let command = frontendTech === "nuxt.js"
        ? `npx nuxi@latest init ${name.toLowerCase()}`
        : `npm create vue@latest ${name.toLowerCase()}`;
    // Execute the generated command
    console.log(`Executing: ${command}`);
    try {
        execSync(`cd ${dir} && ${command}`, { stdio: "inherit" });
        process.stdout.write("\n Vue project setup completed successfully!");
    }
    catch (error) {
        console.error("Error executing command:", error);
    }
});
