var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
import { execSync } from "child_process";
import path from "path";
export const installUmbraco = (dir, version) => __awaiter(void 0, void 0, void 0, function* () {
    process.stdout.write(`Installing Umbraco - ${version} ... `);
    const stringVersion = version.toLocaleLowerCase() === "latest" ? "" : `--version ${version}`;
    try {
        execSync(`dotnet new -i Umbraco.Templates`);
        execSync(`dotnet new umbraco ${stringVersion} -n ${path.basename(dir)} -o "${dir}"`);
        process.stdout.write(" Done \n");
        process.stdout.write("Restoring and building the project...");
        execSync(`dotnet restore "${dir}"`);
        execSync(`dotnet build "${dir}"`);
        process.stdout.write(" Done \n");
    }
    catch (error) {
        console.error(`exec error: ${error}`);
    }
});
