import * as fs from "fs";
import path from "path";

import { setupGulp } from "./setupGulp.js";
import { setupVue } from "./setupVue.js";
import { setupReact } from "./setupReact.js";

export const setupFrontend = async (
  dir: string,
  { frontendTech, projectName, useUmbraco }: any
): Promise<void> => {
  let directory = dir;

  if (useUmbraco) {
    directory = path.join(directory, projectName, "Frontend");
    if (!fs.existsSync(directory)) {
      process.stdout.write(`Creating frontend directory...`);
      fs.mkdirSync(directory);
      process.stdout.write(" Done \n");
    }
  }

  const value = frontendTech.toLowerCase();
  switch (value) {
    case "gulp":
      await setupGulp(directory, projectName);
      break;
    case "vue":
    case "nuxt.js":
      await setupVue(directory, projectName, value);
      break;
    case "react":
    case "next.js":
      await setupReact(directory, projectName, value);
      break;
    default:
      console.log("Framework not supported.");
      break;
  }
};
