import { execSync } from "child_process";

// Main function to ask questions and generate the command
export const setupReact = async (
  dir: string,
  name: string,
  frontendTech: string
): Promise<void> => {
  process.stdout.write(`Setup ${frontendTech}\n`);

  // Build the base command for React setup
  let command =
    frontendTech === "next.js"
      ? `npx create-next-app ${name.toLowerCase()}`
      : `npx create-react-app ${name.toLowerCase()}`;

  // Execute the generated command
  console.log(`Executing: ${command}`);
  try {
    execSync(`cd ${dir} && ${command}`, { stdio: "inherit" });
    process.stdout.write("\nReact project setup completed successfully!");
  } catch (error) {
    console.error("Error executing command:", error);
  }
};
