import { execSync } from "child_process";

// Main function to ask questions and generate the command
export const setupVue = async (dir: string, name: string, frontendTech: string): Promise<void> => {
  process.stdout.write(`Setup ${frontendTech}\n`);

  // Build the base command for Vue setup
  let command =
    frontendTech === "nuxt.js"
      ? `npx nuxi@latest init ${name.toLowerCase()}`
      : `npm create vue@latest ${name.toLowerCase()}`;

  // Execute the generated command
  console.log(`Executing: ${command}`);
  try {
    execSync(`cd ${dir} && ${command}`, { stdio: "inherit" });
    process.stdout.write("\n Vue project setup completed successfully!");
  } catch (error) {
    console.error("Error executing command:", error);
  }
};
