import { execSync } from "child_process";

export const installDotNetSDK = async (): Promise<void> => {
  const scriptUrl = "https://dot.net/v1/dotnet-install.ps1";

  process.stdout.write("Checking if .NET SDK is already installed...");
  try {
    execSync("dotnet --version");
    process.stdout.write(" .NET SDK is already installed.\n");
  } catch (error) {
    process.stdout.write(" .NET SDK is not installed.\n");

    process.stdout.write("Downloading and installing .NET SDK using PowerShell...");
    try {
      execSync(
        `powershell -Command "Invoke-Expression (New-Object System.Net.WebClient).DownloadString('${scriptUrl}')"`
      );
      process.stdout.write(" Done \n");
    } catch (error) {
      console.error(` Error installing .NET SDK: ${error}`);
      return;
    }
  }
};
