import { execSync } from "child_process";
import path from "path";

export const installUmbraco = async (dir: string, version: string): Promise<void> => {
  process.stdout.write(`Installing Umbraco - ${version} ... `);
  const stringVersion = version.toLocaleLowerCase() === "latest" ? "" : `--version ${version}`;
  try {
    execSync(`dotnet new -i Umbraco.Templates`);
    execSync(`dotnet new umbraco ${stringVersion} -n ${path.basename(dir)} -o "${dir}"`);
    process.stdout.write(" Done \n");
    process.stdout.write("Restoring and building the project...");
    execSync(`dotnet restore "${dir}"`);
    execSync(`dotnet build "${dir}"`);
    process.stdout.write(" Done \n");
  } catch (error) {
    console.error(`exec error: ${error}`);
  }
};
