import path from "path";
import { copyFolderSync } from "../utils/utils.js";
import { fileURLToPath } from "url";

export const setupUmbracoTemplate = async (dir: string): Promise<void> => {
  const __filename = fileURLToPath(import.meta.url);
  const __dirname = path.dirname(__filename);

  const viewDir = path.join(dir, "Views", "Partials");

  // Get the template of the umbraco folder
  process.stdout.write("Setting up Umbraco template... ");
  const umbracoDir = path.join(__dirname, "..", "template/umbraco");
  copyFolderSync(umbracoDir, viewDir);
  process.stdout.write(" Done \n");
};
